List videos
curl --request GET \
--url https://api.lumisreach.com/api/v1/videos \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lumisreach.com/api/v1/videos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumisreach.com/api/v1/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"status": "unsubmitted",
"template": "talking_avatar",
"preset": "<string>",
"format": "vertical",
"duration_seconds": 123,
"video_url": "<string>",
"thumbnail_url": "<string>",
"billed_cents": 0,
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"posts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "tiktok",
"status": "scheduled",
"media_type": "video",
"permalink": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}
]
}
],
"meta": {
"page_size": 0,
"cursor": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}Videos
List videos
The workspace’s videos, newest first, including ones made in the dashboard or by a posting schedule. Filter by status; page with meta.cursor. Free.
GET
/
v1
/
videos
List videos
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 100meta.cursor from the previous page
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Only videos in this status
Available options:
unsubmitted, queued, researching, script_review, rendering, compositing, ready, failed